Subject: Re: BUGREPORT: Modified files on a fresh clone on M2 MacBook Pro

From: Junio C Hamano <[email-masked]>
Date: Wed, 22 Mar 2023 12:18:26 -0700

"Kristoffer Haugsbakk" <[email-masked]> writes:

>             modified:   "corp/Sn\303\245sningen 2013/50 uke/Dramatikk og kj\303\246rlighet - S\303\270rsamisk.doc"
>
>     no changes added to commit (use "git add" and/or "git commit -a")
>
> Note that this `doc` extension was not covered by your update.
>
> But it becomes clean if I remove this line:
>
>     $ git diff
>     diff --git a/.gitattributes b/.gitattributes
>     index bbd8c0db810d..3959fefadfc1 100644
>     --- a/.gitattributes
>     +++ b/.gitattributes
>     @@ -2,7 +2,6 @@
>      # DO NOT EDIT - the file is updated via the template system.
>
>      # Some defaults:
>     -* text   eol=lf
>      *.png    binary
>      *.jpg    binary
>      *.jpeg   binary

The attribute file says "assume everything is text unless otherwise
noted below", which you probably should not lose.  Instead, I would
declare *.doc are also binary by appending a new entry at the end of
the file, if I were managing that project.